<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::PropertyGroup Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1PropertyGroup.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1PropertyGroup-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::PropertyGroup Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class implementing a property group.  
 <a href="classOpenSim_1_1PropertyGroup.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a72e785b7847ad78ab9ce6bd1642ec4a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a72e785b7847ad78ab9ce6bd1642ec4a9">PropertyGroup</a> ()</td></tr>
<tr class="separator:a72e785b7847ad78ab9ce6bd1642ec4a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90c01f66a75a213bee89b7df8fa91ebd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a90c01f66a75a213bee89b7df8fa91ebd">PropertyGroup</a> (std::string &amp;aName)</td></tr>
<tr class="separator:a90c01f66a75a213bee89b7df8fa91ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a30bacd4d29b1992e4463bc9a73a91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a57a30bacd4d29b1992e4463bc9a73a91">PropertyGroup</a> (const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;aGroup)</td></tr>
<tr class="separator:a57a30bacd4d29b1992e4463bc9a73a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a409a7e1f201b4536be53ab2dd9580363"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a409a7e1f201b4536be53ab2dd9580363">~PropertyGroup</a> ()</td></tr>
<tr class="separator:a409a7e1f201b4536be53ab2dd9580363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85c90454f153adf838279b1b3bd7c598"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a85c90454f153adf838279b1b3bd7c598">clone</a> () const</td></tr>
<tr class="separator:a85c90454f153adf838279b1b3bd7c598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e1b5020b53cd657f5362ee13c55b31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ad6e1b5020b53cd657f5362ee13c55b31">operator=</a> (const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;aGroup)</td></tr>
<tr class="separator:ad6e1b5020b53cd657f5362ee13c55b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade9042e8a53a4a7e68810596b95e35fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ade9042e8a53a4a7e68810596b95e35fb">operator&lt;</a> (const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;aGroup) const</td></tr>
<tr class="separator:ade9042e8a53a4a7e68810596b95e35fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f5f1dedc9a7118352b82f1970ef565"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a86f5f1dedc9a7118352b82f1970ef565">operator==</a> (const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;aGroup) const</td></tr>
<tr class="separator:a86f5f1dedc9a7118352b82f1970ef565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad237a51220da9ad7a84d53059554d8af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ad237a51220da9ad7a84d53059554d8af">copyData</a> (const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;aGroup)</td></tr>
<tr class="separator:ad237a51220da9ad7a84d53059554d8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c0a24b72df30df06180e1374fdfad63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a7c0a24b72df30df06180e1374fdfad63">clear</a> ()</td></tr>
<tr class="separator:a7c0a24b72df30df06180e1374fdfad63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce1a7b71b410edc7877f617bfe87d8d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a7ce1a7b71b410edc7877f617bfe87d8d">contains</a> (const std::string &amp;aName) const</td></tr>
<tr class="separator:a7ce1a7b71b410edc7877f617bfe87d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b7159b7a17a0872d8e685b50221a24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a64b7159b7a17a0872d8e685b50221a24">add</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *aProperty)</td></tr>
<tr class="separator:a64b7159b7a17a0872d8e685b50221a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad19e63c39fd088082035ea6b0be4cb91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ad19e63c39fd088082035ea6b0be4cb91">remove</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *aProperty)</td></tr>
<tr class="separator:ad19e63c39fd088082035ea6b0be4cb91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac84cc9b6e8e3f73231f3a161a8eec514"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> * &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ac84cc9b6e8e3f73231f3a161a8eec514">getProperties</a> () const</td></tr>
<tr class="separator:ac84cc9b6e8e3f73231f3a161a8eec514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1371ba4b9fcd100783db4a85e1a13266"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a1371ba4b9fcd100783db4a85e1a13266">get</a> (int aIndex)</td></tr>
<tr class="separator:a1371ba4b9fcd100783db4a85e1a13266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad16d62bcb09464f5760b2e88eca02f33"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#ad16d62bcb09464f5760b2e88eca02f33">getPropertyIndex</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *aProperty) const</td></tr>
<tr class="separator:ad16d62bcb09464f5760b2e88eca02f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bad9b8a28f0e2cbde0b85cb6436d56d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a2bad9b8a28f0e2cbde0b85cb6436d56d">setName</a> (const std::string &amp;aName)</td></tr>
<tr class="separator:a2bad9b8a28f0e2cbde0b85cb6436d56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a232f0b16166a55dd0d81b90a6ea4650f"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyGroup.html#a232f0b16166a55dd0d81b90a6ea4650f">getName</a> () const</td></tr>
<tr class="separator:a232f0b16166a55dd0d81b90a6ea4650f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A class implementing a property group. </p>
<dl class="section author"><dt>Author</dt><dd>Peter Loan </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a72e785b7847ad78ab9ce6bd1642ec4a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72e785b7847ad78ab9ce6bd1642ec4a9">&#9670;&nbsp;</a></span>PropertyGroup() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyGroup::PropertyGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a90c01f66a75a213bee89b7df8fa91ebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90c01f66a75a213bee89b7df8fa91ebd">&#9670;&nbsp;</a></span>PropertyGroup() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyGroup::PropertyGroup </td>
          <td>(</td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57a30bacd4d29b1992e4463bc9a73a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57a30bacd4d29b1992e4463bc9a73a91">&#9670;&nbsp;</a></span>PropertyGroup() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyGroup::PropertyGroup </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td>
          <td class="paramname"><em>aGroup</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a409a7e1f201b4536be53ab2dd9580363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a409a7e1f201b4536be53ab2dd9580363">&#9670;&nbsp;</a></span>~PropertyGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::PropertyGroup::~PropertyGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a64b7159b7a17a0872d8e685b50221a24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64b7159b7a17a0872d8e685b50221a24">&#9670;&nbsp;</a></span>add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyGroup::add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c0a24b72df30df06180e1374fdfad63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c0a24b72df30df06180e1374fdfad63">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyGroup::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85c90454f153adf838279b1b3bd7c598"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c90454f153adf838279b1b3bd7c598">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a>* OpenSim::PropertyGroup::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ce1a7b71b410edc7877f617bfe87d8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ce1a7b71b410edc7877f617bfe87d8d">&#9670;&nbsp;</a></span>contains()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::PropertyGroup::contains </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad237a51220da9ad7a84d53059554d8af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad237a51220da9ad7a84d53059554d8af">&#9670;&nbsp;</a></span>copyData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyGroup::copyData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td>
          <td class="paramname"><em>aGroup</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1371ba4b9fcd100783db4a85e1a13266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1371ba4b9fcd100783db4a85e1a13266">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertyGroup::get </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a232f0b16166a55dd0d81b90a6ea4650f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a232f0b16166a55dd0d81b90a6ea4650f">&#9670;&nbsp;</a></span>getName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::PropertyGroup::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac84cc9b6e8e3f73231f3a161a8eec514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac84cc9b6e8e3f73231f3a161a8eec514">&#9670;&nbsp;</a></span>getProperties()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt;<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>*&gt;&amp; OpenSim::PropertyGroup::getProperties </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad16d62bcb09464f5760b2e88eca02f33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad16d62bcb09464f5760b2e88eca02f33">&#9670;&nbsp;</a></span>getPropertyIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int OpenSim::PropertyGroup::getPropertyIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade9042e8a53a4a7e68810596b95e35fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade9042e8a53a4a7e68810596b95e35fb">&#9670;&nbsp;</a></span>operator&lt;()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::PropertyGroup::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td>
          <td class="paramname"><em>aGroup</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6e1b5020b53cd657f5362ee13c55b31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e1b5020b53cd657f5362ee13c55b31">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a>&amp; OpenSim::PropertyGroup::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td>
          <td class="paramname"><em>aGroup</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86f5f1dedc9a7118352b82f1970ef565"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86f5f1dedc9a7118352b82f1970ef565">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::PropertyGroup::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a> &amp;&#160;</td>
          <td class="paramname"><em>aGroup</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad19e63c39fd088082035ea6b0be4cb91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad19e63c39fd088082035ea6b0be4cb91">&#9670;&nbsp;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyGroup::remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bad9b8a28f0e2cbde0b85cb6436d56d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bad9b8a28f0e2cbde0b85cb6436d56d">&#9670;&nbsp;</a></span>setName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyGroup::setName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/PropertyGroup.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1PropertyGroup.html">PropertyGroup</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:49 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
